Hand Picked
2 min
If you haven't gone through the prerequisites and the v2 structure, please have a look at Overview
Klevu can power a recommendation banner showcasing any products which you, the merchant, has manually curated. The most common placements for this banner type are:
Homepage: Our Recommended Products Show a recommendation banner with products you would like all customers to see.
Hand Picked Product Recommendations
The end-point is used for retrieving hand picked product recommendations.
POST
https://eucs19v2.ksearchnet.com/cs/v2/search
{
"recordQueries": [
{
"id": "recsHandPicked",
"typeOfRequest": "SEARCH",
"settings": {
"customANDQuery":"(id:\"34322453430403\" OR id:\"34322423840899\")",
"topIds": [
{
"key": "id",
"value": "34322453430403"
},
{
"key": "id",
"value": "34322423840899"
}
],
"typeOfRecords": [
"KLEVU_PRODUCT"
]
}
}
],
"context": {
"apiKeys": [
"klevu-158755634955912036"
]
}
}Try it here!